package com.andframework.common;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;



/*<receiver android:name="com.jinzhi.msgpoll.common.BootCompletedReceiver" >
    <intent-filter>
        <action android:name="android.intent.action.BOOT_COMPLETED" />
    </intent-filter>
</receiver>*/
public class BootCompletedReceiver extends BroadcastReceiver
{
	@Override
	public void onReceive(Context context, Intent intent)
	{
		if (intent.getAction().equals(Intent.ACTION_BOOT_COMPLETED))
		{
			Log.i(this.getClass().getName(), "start BackgroundService onReceive");
			Intent newIntent = new Intent(BackgroundService.ACTION_BACKGROUND);
			newIntent.setClass(context, BackgroundService.class);
			context.startService(newIntent);
		}
	}
}