package com.andframework.business;

import com.andframework.business.BaseBusi;
import com.andframework.myinterface.UiCallBack;
import com.andframework.parse.BaseParse;
import com.andframework.parse.VersionParse;

/**
 * 版本更新业务
 * @author AndrewLeong
 *
 */
public class VersionBusi extends BaseBusi
{

	private String tail = "login/detectversion.action?";// 获取版本更新的URL后缀
	
	
	public VersionBusi(UiCallBack bCallBack)
	{
		super(bCallBack,VersionParse.class);
	}

	@Override
	protected void prepare() {
		reqParam = tail;
	}
	

	/*@Override
	protected BaseParse parseResult(byte[] data)
	{
		VersionParse versionParse = new VersionParse();
		versionParse.Parse(data);
		return versionParse;
	}*/
	
}
